Межсайтовый скриптинг в Zen Cart

Дата публикации:
09.10.2006
Дата изменения:
14.07.2008
Всего просмотров:
2172
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Zen Cart 1.x
Уязвимые версии: Zen Cart 1.3.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "admin_email" в сценарии admin/password_forgotten.php и в параметре "admin_name" в сценарии admin/login.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.zen-cart.com

Решение: Установите исправление с сайта производителя.

Ссылки: Zen Cart Cross-Site Scripting Vulnerabilities

или введите имя

CAPTCHA